/* Register definitions for Firebird acquisition hardware */
#define FBD_ADDR_STAT_INTRPT_FIFO_STATUS           ((ui32)0x00001010)
#define FBD_VALUE_STAT_INTRPT_FIFO_STATUS_OVERFLOW ((ui32)0x80000000)
#define FBD_VALUE_STAT_INTRPT_FIFO_STATUS_MASK     ((ui32)0x0000FFFF)

#define FBD_ADDR_STAT_INTRPT_FIFO_CONTROL          FBD_ADDR_STAT_INTRPT_FIFO_STATUS

#define FBD_ADDR_STAT_INTRPT_FIFO_EVENT            ((ui32)0x00001000)

#define FBD_ADDR_CTRL_RISC                         ((ui32)0x00040000)

#if !defined FBD_DEVICE_ID
#define FBD_DEVICE_ID 0x0600
#endif

#if !defined FBD_VENDOR_ID
#define FBD_VENDOR_ID 0x10EE
#endif

#if !defined FBD_SUBVENDOR_ID
#define FBD_SUBVENDOR_ID 0x4153
#endif
