#if !defined BOARDS_H
#define BOARDS_H

void aslenum_get_fbd_config_desc      ( uint32_t, void * );
void aslenum_get_fbd_config_device    ( uint32_t, void * );
void aslenum_get_fbd_config_revision  ( uint32_t, void * );
void aslenum_get_fbd_config_sub_device( uint32_t, void * );
void aslenum_get_fbd_config_sub_vendor( uint32_t, void * );
void aslenum_get_fbd_config_vendor    ( uint32_t, void * );
void aslenum_get_num_232_channels     ( uint32_t, void * );
void aslenum_get_num_485_channels     ( uint32_t, void * );
void aslenum_get_num_channels         ( uint32_t, void * );
void aslenum_get_num_cls_channels     ( uint32_t, void * );
void aslenum_get_num_cxp_channels     ( uint32_t, void * );
void aslenum_get_num_dma_channels     ( uint32_t, void * );
void aslenum_get_num_gio_channels     ( uint32_t, void * );
void aslenum_get_acq_info             ( uint32_t, uint32_t, void *, void * );
void aslenum_get_cls_info             ( uint32_t, uint32_t, void *, void * );
void aslenum_get_cxp_info             ( uint32_t, uint32_t, void *, void * );
void aslenum_get_485_info             ( uint32_t, uint32_t, void *, void * );
void aslenum_get_232_info             ( uint32_t, uint32_t, void *, void * );
void aslenum_get_gio_info             ( uint32_t, uint32_t, void *, void * );

int mda_config_board(uint32_t index, tAslEnumDevice *baseboard);

#endif