#!/bin/bash

UNAME_P=$(uname -p)

case "$1" in
	install)
		if [ "$UNAME_P" == 'aarch64' ]; then
			echo "Installing /etc/modules-load.d/activesilicon.conf"
			sudo install --mode=0644 --owner=root --group=root system/activesilicon.conf /etc/modules-load.d/activesilicon.conf
		fi
		;;
	uninstall)
		if [ "$UNAME_P" == 'aarch64' ]; then
			echo "Remove /etc/modules-load.d/activesilicon.conf"
			sudo rm -f /etc/modules-load.d/activesilicon.conf
		fi
		;;
esac

